Authorization: Bearer ********************curl --location --request PUT '/vendorpayments' \
--header 'X-Unique-Identifier-Key;' \
--header 'X-Unique-Identifier-Value;' \
--header 'X-Upsert;' \
--header 'Content-Type: application/json' \
--data-raw '{
"vendor_id": " ",
"bills": [
{
"bill_payment_id": "string",
"bill_id": "460000000053199",
"amount_applied": 150,
"tax_amount_withheld": 0
}
],
"date": "2013-10-01",
"exchange_rate": 1,
"amount": 2000,
"paid_through_account_id": "460000000000358",
"payment_mode": "Cash",
"description": "The New York State Department of Taxation and Finance",
"reference_number": " ",
"is_paid_via_print_check": false,
"check_details": [
{
"memo": "string",
"check_number": "string"
}
],
"location_id": "460000000038080",
"custom_fields": [
{
"index": 1,
"value": "Normal"
}
]
}'{
"code": 0,
"message": "The details of the payment made to the vendor has been updated",
"vendorpayment": [
{
"payment_id": "460000000076027",
"vendor_id": " ",
"vendor_name": "Bowmen and co",
"payment_mode": "Cash",
"payment_number": 8,
"custom_fields": [
{
"customfield_id": "46000000012845",
"value": "Normal"
}
],
"description": "The New York State Department of Taxation and Finance",
"documents": [
"string"
],
"date": "2013-10-01",
"reference_number": " ",
"exchange_rate": 1,
"tax_account_name": "string",
"tax_amount_withheld": 0,
"amount": 2000,
"balance": "48.75",
"currency_id": "460000000000097",
"currency_symbol": "$",
"location_id": "460000000038080",
"location_name": "string",
"created_time": "2016-06-05T02:30:08-0700",
"last_modified_time": "string",
"paid_through_account_id": "460000000000358",
"paid_through_account_name": "string",
"paid_through_account_type": "bank",
"is_paid_via_print_check": false,
"is_ach_payment": false,
"ach_payment_status": "string",
"check_details": [
{
"memo": "string",
"check_number": "string"
}
],
"billing_address": [
"address",
"city",
"state",
"zip",
"country",
"fax",
"attention"
],
"bills": [
{
"bill_payment_id": "string",
"bill_id": "460000000053199",
"amount_applied": 150,
"tax_amount_withheld": 0
}
],
"vendorpayment_refunds": "string",
"imported_transactions": [
{
"imported_transaction_id": "460000000013297",
"date": "2013-01-22",
"amount": 10,
"payee": "Richards Electric Company",
"description": "Cheque Deposit",
"reference_number": "Ref-1900",
"status": "categorized",
"account_id": 460000000006294
}
]
}
]
}